> ## Documentation Index
> Fetch the complete documentation index at: https://clickhouse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available service profiles

> Returns the custom instance profiles the organization can use in a region. Pass byoc_id to list the profiles configured for a BYOC infrastructure. The list is empty when the organization tier does not include custom hardware profiles.

Returns the custom instance profiles the organization can use in a region. Pass byoc\_id to list the profiles configured for a BYOC infrastructure. The list is empty when the organization tier does not include custom hardware profiles.


## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/serviceProfiles
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-1077626
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
  - name: UDF
paths:
  /v1/organizations/{organizationId}/serviceProfiles:
    get:
      tags:
        - Service
      summary: List available service profiles
      description: >-
        Returns the custom instance profiles the organization can use in a
        region. Pass byoc_id to list the profiles configured for a BYOC
        infrastructure. The list is empty when the organization tier does not
        include custom hardware profiles.
      operationId: serviceProfilesList
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization to list available profiles for.
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: region_id
          description: Region to list profiles for, e.g. us-east-1.
          schema:
            type: string
          required: true
        - in: query
          name: byoc_id
          description: >-
            ID of the BYOC infrastructure to list profiles for. BYOC profiles
            are only returned when this is set.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/ServiceProfile'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    ServiceProfile:
      properties:
        profile:
          description: >-
            Profile name to pass as `profile` when creating a service (e.g.
            'v1-standard-byoc-4').
          type: string
        cpuCores:
          description: Number of vCPUs per replica.
          type: number
        memoryGi:
          description: >-
            Memory per replica in GiB. When creating a BYOC service with this
            profile, minReplicaMemoryGb and maxReplicaMemoryGb must both equal
            this value.
          type: number
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````